- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IBroadcastEventReceiver IButtonControl INamingContainer IPageStatePersister IPostBackDataHandler IPostBackEventHandler ISurroundable ITemplate ITheme IValidatable IValidator TBroadcastEventParameter TCachePageStatePersister TClientScriptManager TClientSideOptions TCommandEventParameter TCompositeControl TCompositeLiteral TControl TControlAdapter TControlCollection TEmptyControlCollection TForm THead THtmlWriter TPage TPageStateFormatter TPageStatePersister TSessionPageStatePersister TTemplate TTemplateControl TTemplateManager TTextProcessor TTheme TThemeManager |
Keyword
# Class TCommandEventParameter
    TComponent
       |
       --TEventParameter
          |
          --TCommandEventParameter
#### Direct Known Sub-classes: TDataListCommandEventParameter , TDataGridCommandEventParameter , TRepeaterCommandEventParameter TCommandEventParameter class TCommandEventParameter encapsulates the parameter data for Command event of button controls. You can access the name of the command via CommandName property, and the parameter carried with the command via CommandParameter property. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Constructor Summary
public | __construct Array Constructor.
Method Summary
string | getCommandName ()
string | getCommandParameter ()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Constructor Details
## __construct
public __construct | Array
Constructor.
Method Details
## getCommandName
public string getCommandName | ()
Output
string | name of the command
Exception
## getCommandParameter
public string getCommandParameter | ()
Output
string | parameter of the command
Exception